### File

`src/modules/lesson/detail/data-service.service.ts`

### Methods

saveFormData
`saveFormData(formData: any)`
Returns: `void`

getFormData
`getFormData()`
Returns: `any`

### Properties

Private formData
`formData: `{ name: string; weight: string; height: string; gender: string; }` </bcode>`

    import { Injectable } from '@angular/core';

    @Injectable({
      providedIn: 'root'
    })
    export class DataServiceService {

      private formData = {
        name: '',
        weight: '',
        height: '',
        gender: '',
      };

      saveFormData(formData: any) {
        this.formData = formData;
      }

      getFormData(): any {
        return this.formData;
      }
    }

# results matching ""

# No results matching ""